<?php

namespace ModulesGarden\Servers\ProxmoxVps\App\Http\Client;

use ModulesGarden\ProxmoxAddon\App\Services\Vps\ProductService;
use ModulesGarden\Servers\ProxmoxVps\App\Helpers\AppParams;
use ModulesGarden\Servers\ProxmoxVps\App\UI\BackupJob\Pages\BackupJobDataTable;
use ModulesGarden\Servers\ProxmoxVps\Core\Helper;
use ModulesGarden\Servers\ProxmoxVps\Core\Http\AbstractClientController;

class BackupJob extends AbstractClientController
{
    use ProductService;

    public function index()
    {
        (new AppParams())->initFromWhmcsParams();
        $this->acl()->backupJob();
        Helper\sl("sidebar")->getSidebar("managementProxmoxVps")->getChild("backupJob")->setActive(true);
        return Helper\view()->addElement(BackupJobDataTable::class);
    }

}
